<template>
    <div class="send__mess--left">
        <p class="text-bold">{{ $t('users.message.title') }}</p>
        <form action="" @submit.prevent="submit">
            <div class="box__send--input">
                <label for="form_subject">{{ $t('users.message.subject') }}</label>
                <input type="text" id="form_subject" v-model="form.subject">
            </div>
            <div class="box__send--input">
                <label for="form_from">{{ $t('users.message.from') }}</label>
                <input type="text" id="form_from" v-model="form.from">
            </div>
            <textarea v-model="form.message"/>
            <button class="save-new" type="submit">{{ $t('users.message.submit') }}</button>
        </form>
    </div>
</template>

<script>
    import {mapGetters} from "vuex";
    import laravelValidationErrorParse from "../../mixins/laravelValidationErrorParse";

	export default {
		name: "CreateTicket",
        mixins: [laravelValidationErrorParse],
        props: ['user'],
        data(){
            return {
                form: {
                    subject: '',
                    from: this.admin_login,
                    message: ''
                },
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
            ...mapGetters('auth', {
                admin_login: 'user_login'
            }),
        },
        methods: {
            submit(){
                this.axios
                    .post(`users/${this.user.id}/send_message`, this.form)
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal('Сообщение отправлено');
                            this.$root.$emit('reload-messages', this.user.id);
                            this.$root.$emit('reload-tickets', this.user.id);
                        }else{
                            this.$swal(this.$t('ui.error'), '', 'error')
                        }
                    })
                    .catch((error) => {
                        this.displayErrorsSwal(error);
                    });
            }
        },
	}
</script>

<style scoped>
    textarea{
        padding-top: 15px;
    }
</style>
